Name:           python-jenkins
Version:        1.8.2
Release:        %mkrel 3
Summary:        Python bindings for the remote Jenkins API
Group:          Development/Python
License:        BSD
URL:            https://python-jenkins.readthedocs.org/en/latest
Source0:        %{pypi_source}
BuildArch:      noarch
# for docs
BuildRequires:  python3dist(sphinx)

%description
Python Jenkins is a library for the remote API of the Jenkins continuous
integration server. It is useful for creating and managing jobs as well as
build nodes.

%package -n python3-jenkins
Summary:        %{summary}
%{?python_provide:%python_provide python3-jenkins}

%description -n python3-jenkins
Python Jenkins is a library for the remote API of the Jenkins continuous
integration server. It is useful for creating and managing jobs as well as
build nodes.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
export PBR_VERSION=%{version}
%pyproject_wheel

PYTHONPATH=$(pwd) sphinx-build -b html -d doc/build/doctrees doc/source doc/build/html
rm -f doc/build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files jenkins

%files -n python3-jenkins -f %{pyproject_files}
%doc AUTHORS ChangeLog README.rst doc/build/html
%license COPYING


%changelog
* Sun Mar 02 2025 wally <wally> 1.8.2-3.mga10
+ Revision: 2157190
- rebuild for python3.13

* Sun Jun 30 2024 wally <wally> 1.8.2-2.mga10
+ Revision: 2078260
- rely on generated requires

* Tue Feb 20 2024 papoteur <papoteur> 1.8.2-1.mga10
+ Revision: 2042666
- rebuild for python 3.12
- new version 1.8.2

* Tue Mar 29 2022 umeabot <umeabot> 1.7.0-3.mga9
+ Revision: 1832833
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 1.7.0-2.mga9
+ Revision: 1784138
- rebuild for python-3.10

* Sun Aug 29 2021 wally <wally> 1.7.0-1.mga9
+ Revision: 1743417
- new version 1.7.0

* Sat Jun 26 2021 wally <wally> 1.5.0-4.mga9
+ Revision: 1732943
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.5.0-3.mga8
+ Revision: 1533108
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.5.0-2.mga8
+ Revision: 1443278
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 1.5.0-1.mga8
+ Revision: 1430431
- new version 1.5.0

* Tue Jan 08 2019 tv <tv> 0.4.15-6.mga7
+ Revision: 1351675
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.15-5.mga7
+ Revision: 1289118
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 ngompa <ngompa> 0.4.15-4.mga7
+ Revision: 1223129
- Adapt for Mageia
- imported package python-jenkins


* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.15-2
- Cleanups in spec

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.15-1
- Update to 0.4.15

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun May 21 2017 Scott K Logan <logans@cottsay.net> - 0.4.14-2
- Work around nose on Fedora as well (LP: #872887)

* Sat May 13 2017 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4.14-1
- Update to 0.4.14 (rhbz#1267414)
- Use HTTPS homepage URL
- New Source0 PyPI URL
- Avoid nose on el7 (LP: #872887)
- BR: python-kerberos to make the tests get a bit further

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.12-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jun  7 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 0.4.12-2
- Fix python3 subpackage provides

* Tue Jun  7 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 0.4.12-1
- Upstream 0.4.12
- Update to python guidelines

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Aug 25 2015 Scott K Logan <logans@cottsay.net> - 0.4.8-1
- Update to 0.4.8

* Tue Jun 30 2015 Scott K Logan <logans@cottsay.net> - 0.4.7-1
- Update to 0.4.7

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Apr 12 2015 Scott K Logan <logans@cottsay.net> - 0.4.5-1
- Update to 0.4.5
- Update to latest python packaging guidelines

* Wed Nov 12 2014 Scott K Logan <logans@cottsay.net> - 0.4.1-1
- Update to 0.4.1 (RHBZ #1162743)
- Switch to PyPI upstream
- Add python3 package

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 21 2014 Scott K Logan <logans@cottsay.net> - 0.2.1-1
- Initial package
